POST /v1/x402-endpoints/test
Test an x402 endpoint using the organization's default Turnkey wallet
POST
/v1/x402-endpoints/test
Test an x402 endpoint using the organization's default Turnkey wallet
Request Body required
Test parameters
application/jsonOne of:
Option 1
Option 2
body
object
method
string
Enum:
GET, POST, PUT, PATCH, DELETEresourceUrl
string
REQUIRED
Responses
200
OK
application/jsoncode
integer
data
object
Reuse same response structure
error
string
paymentDetails
object
amountPaid
string
asset
string
Token address used for payment
network
string
payer
string
transaction
string
May be null if server doesn't return it
resource
unknown
statusCode
integer
success
boolean
message
string
requestId
string
400
Bad Request
401
Unauthorized
curl -X POST 'https://api.example.com/v1/x402-endpoints/test' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/x402-endpoints/test', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/x402-endpoints/test', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/x402-endpoints/test", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "error": "<string>", "paymentDetails": { "amountPaid": "<string>", "asset": "<string>", "network": "<string>", "payer": "<string>", "transaction": "<string>" }, "resource": "<unknown>", "statusCode": 123, "success": true }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
POST
/v1/x402-endpoints/test
